be.fgov.ehealth.rn.personlegaldata.v1

## Class PersonResponseType

- java.lang.Object
- - be.fgov.ehealth.rn.personlegaldata.v1.PersonResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:58:46+01:00",
                 comments="JAXB RI v2.3.7")
      public class PersonResponseType
      extends Object
      implements Serializable

  Type encapsulating all legaldata of a person specific for the PersonService

  Java class for PersonResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType" minOccurs="0"/>
               <element name="NobilityTitle" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NobilityTitleBaseType" minOccurs="0"/>
               <element name="Name" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NameInfoBaseType" minOccurs="0"/>
               <element name="Nationalities" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalitiesBaseType" minOccurs="0"/>
               <element name="Birth" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BirthInfoBaseType" minOccurs="0"/>
               <element name="Decease" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseInfoBaseType" minOccurs="0"/>
               <element name="Gender" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderInfoBaseType" minOccurs="0"/>
               <element name="CivilStates" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilStatesBaseType" minOccurs="0"/>
               <element name="Address" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AddressBaseType" minOccurs="0"/>
               <element name="ContactAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressBaseType" minOccurs="0"/>
               <element name="Administrator" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AdministratorBaseType" minOccurs="0"/>
               <element name="Subregister" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SubregisterBaseType" minOccurs="0"/>
               <element name="LegalCohabitation" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LegalCohabitationBaseType" minOccurs="0"/>
               <element name="Anomalies" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}AnomaliesType" minOccurs="0"/>
             </sequence>
             <attribute name="Register" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}PersonRegisterType" />
             <attribute name="RegisterInceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressBaseType` | `getAddress()` Gets the value of the address property.
    `AdministratorBaseType` | `getAdministrator()` Gets the value of the administrator property.
    `AnomaliesType` | `getAnomalies()` Gets the value of the anomalies property.
    `BirthInfoBaseType` | `getBirth()` Gets the value of the birth property.
    `CivilStatesBaseType` | `getCivilStates()` Gets the value of the civilStates property.
    `ContactAddressBaseType` | `getContactAddress()` Gets the value of the contactAddress property.
    `DeceaseInfoBaseType` | `getDecease()` Gets the value of the decease property.
    `GenderInfoBaseType` | `getGender()` Gets the value of the gender property.
    `LegalCohabitationBaseType` | `getLegalCohabitation()` Gets the value of the legalCohabitation property.
    `NameInfoBaseType` | `getName()` Gets the value of the name property.
    `NationalitiesBaseType` | `getNationalities()` Gets the value of the nationalities property.
    `NobilityTitleBaseType` | `getNobilityTitle()` Gets the value of the nobilityTitle property.
    `String` | `getRegister()` Gets the value of the register property.
    `org.joda.time.DateTime` | `getRegisterInceptionDate()` Gets the value of the registerInceptionDate property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `SubregisterBaseType` | `getSubregister()` Gets the value of the subregister property.
    `void` | `setAddress(AddressBaseType value)` Sets the value of the address property.
    `void` | `setAdministrator(AdministratorBaseType value)` Sets the value of the administrator property.
    `void` | `setAnomalies(AnomaliesType value)` Sets the value of the anomalies property.
    `void` | `setBirth(BirthInfoBaseType value)` Sets the value of the birth property.
    `void` | `setCivilStates(CivilStatesBaseType value)` Sets the value of the civilStates property.
    `void` | `setContactAddress(ContactAddressBaseType value)` Sets the value of the contactAddress property.
    `void` | `setDecease(DeceaseInfoBaseType value)` Sets the value of the decease property.
    `void` | `setGender(GenderInfoBaseType value)` Sets the value of the gender property.
    `void` | `setLegalCohabitation(LegalCohabitationBaseType value)` Sets the value of the legalCohabitation property.
    `void` | `setName(NameInfoBaseType value)` Sets the value of the name property.
    `void` | `setNationalities(NationalitiesBaseType value)` Sets the value of the nationalities property.
    `void` | `setNobilityTitle(NobilityTitleBaseType value)` Sets the value of the nobilityTitle property.
    `void` | `setRegister(String value)` Sets the value of the register property.
    `void` | `setRegisterInceptionDate(org.joda.time.DateTime value)` Sets the value of the registerInceptionDate property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.
    `void` | `setSubregister(SubregisterBaseType value)` Sets the value of the subregister property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonResponseType

          public PersonResponseType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNobilityTitle

          public NobilityTitleBaseType getNobilityTitle()

      Gets the value of the nobilityTitle property.
      Returns:
        possible object is `NobilityTitleBaseType`

    - #### setNobilityTitle

          public void setNobilityTitle(NobilityTitleBaseType value)

      Sets the value of the nobilityTitle property.
      Parameters:
        `value` - allowed object is `NobilityTitleBaseType`

    - #### getName

          public NameInfoBaseType getName()

      Gets the value of the name property.
      Returns:
        possible object is `NameInfoBaseType`

    - #### setName

          public void setName(NameInfoBaseType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `NameInfoBaseType`

    - #### getNationalities

          public NationalitiesBaseType getNationalities()

      Gets the value of the nationalities property.
      Returns:
        possible object is `NationalitiesBaseType`

    - #### setNationalities

          public void setNationalities(NationalitiesBaseType value)

      Sets the value of the nationalities property.
      Parameters:
        `value` - allowed object is `NationalitiesBaseType`

    - #### getBirth

          public BirthInfoBaseType getBirth()

      Gets the value of the birth property.
      Returns:
        possible object is `BirthInfoBaseType`

    - #### setBirth

          public void setBirth(BirthInfoBaseType value)

      Sets the value of the birth property.
      Parameters:
        `value` - allowed object is `BirthInfoBaseType`

    - #### getDecease

          public DeceaseInfoBaseType getDecease()

      Gets the value of the decease property.
      Returns:
        possible object is `DeceaseInfoBaseType`

    - #### setDecease

          public void setDecease(DeceaseInfoBaseType value)

      Sets the value of the decease property.
      Parameters:
        `value` - allowed object is `DeceaseInfoBaseType`

    - #### getGender

          public GenderInfoBaseType getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `GenderInfoBaseType`

    - #### setGender

          public void setGender(GenderInfoBaseType value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `GenderInfoBaseType`

    - #### getCivilStates

          public CivilStatesBaseType getCivilStates()

      Gets the value of the civilStates property.
      Returns:
        possible object is `CivilStatesBaseType`

    - #### setCivilStates

          public void setCivilStates(CivilStatesBaseType value)

      Sets the value of the civilStates property.
      Parameters:
        `value` - allowed object is `CivilStatesBaseType`

    - #### getAddress

          public AddressBaseType getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `AddressBaseType`

    - #### setAddress

          public void setAddress(AddressBaseType value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `AddressBaseType`

    - #### getContactAddress

          public ContactAddressBaseType getContactAddress()

      Gets the value of the contactAddress property.
      Returns:
        possible object is `ContactAddressBaseType`

    - #### setContactAddress

          public void setContactAddress(ContactAddressBaseType value)

      Sets the value of the contactAddress property.
      Parameters:
        `value` - allowed object is `ContactAddressBaseType`

    - #### getAdministrator

          public AdministratorBaseType getAdministrator()

      Gets the value of the administrator property.
      Returns:
        possible object is `AdministratorBaseType`

    - #### setAdministrator

          public void setAdministrator(AdministratorBaseType value)

      Sets the value of the administrator property.
      Parameters:
        `value` - allowed object is `AdministratorBaseType`

    - #### getSubregister

          public SubregisterBaseType getSubregister()

      Gets the value of the subregister property.
      Returns:
        possible object is `SubregisterBaseType`

    - #### setSubregister

          public void setSubregister(SubregisterBaseType value)

      Sets the value of the subregister property.
      Parameters:
        `value` - allowed object is `SubregisterBaseType`

    - #### getLegalCohabitation

          public LegalCohabitationBaseType getLegalCohabitation()

      Gets the value of the legalCohabitation property.
      Returns:
        possible object is `LegalCohabitationBaseType`

    - #### setLegalCohabitation

          public void setLegalCohabitation(LegalCohabitationBaseType value)

      Sets the value of the legalCohabitation property.
      Parameters:
        `value` - allowed object is `LegalCohabitationBaseType`

    - #### getAnomalies

          public AnomaliesType getAnomalies()

      Gets the value of the anomalies property.
      Returns:
        possible object is `AnomaliesType`

    - #### setAnomalies

          public void setAnomalies(AnomaliesType value)

      Sets the value of the anomalies property.
      Parameters:
        `value` - allowed object is `AnomaliesType`

    - #### getRegister

          public String getRegister()

      Gets the value of the register property.
      Returns:
        possible object is `String`

    - #### setRegister

          public void setRegister(String value)

      Sets the value of the register property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRegisterInceptionDate

          public org.joda.time.DateTime getRegisterInceptionDate()

      Gets the value of the registerInceptionDate property.
      Returns:
        possible object is `String`

    - #### setRegisterInceptionDate

          public void setRegisterInceptionDate(org.joda.time.DateTime value)

      Sets the value of the registerInceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.